/*
 * sram_variables.inc
 *
 *  Created: 06.11.2020 19:10:29
 *   Author: N0082
 */ 
.dseg




ram_var1:					.BYTE 4
ram_var2:					.BYTE 4
ram_var3:					.BYTE 4
ram_var4:					.BYTE 4
BCD_VALUE:					.BYTE 20
ramBUFFER_A:				.BYTE 20
ramBUFFER_C:				.BYTE 20

	  CHAR_SPACE:			.BYTE 1
	  FONT_HIGH:			.BYTE 1
	  FONT_BYTE_HIGH:		.BYTE 1
	  FONT_FIRST_CHAR:		.BYTE 1
	  FONT_CHAR_COUNT:		.BYTE 1		
	  pFONT_WIDTH_TABLE:	.BYTE 2
	  pFONT_DATA_TABLE:		.BYTE 2
	CharPosX:				.BYTE 1			; 0..127
	CharPosY:				.BYTE 1			; 0..63
	vCharPosX:				.BYTE 1			; virtuelle X-Column Position (0..127)
	vCharPosY:				.BYTE 1			; virtuelle Y-Page Position (0..7) wird aus (CharPosY[0..63]) und (FONT_BYTE_HIGH)
	vCharPosXe:				.BYTE 1
	vCharPosYe:				.BYTE 1

	winXs:					.BYTE 1			; [0..127]
	winYs:					.BYTE 1			; [0..127]
	winXw:					.BYTE 1			; [1..128]
	winYw:					.BYTE 1			; [1..128]

	CHAR_BYTE_WIDTH:		.BYTE 1
;	CHAR_PIXEL_YSHIFT:		.BYTE 1			; How much pixels are to shift in Char Registers for correct Position in Y
;	Y_PAGE_CNT:				.BYTE 1			; Anzahl Pages die fr das Char nach Pixel_shift zu schreiben sind
	CHAR_DATA_BYTES:		.BYTE 2			; CharByteWidth * FontByteHigh = Anzahl Daten Bytes fr einen Char in FONT_DATA
	vCHAR_SPACE:			.BYTE 1			; Anzahl CharSpaces nach dem Zeichen, wenn das letzte Zeichen erreicht ist, dann ist es "0"
;	vCHAR_vSPACE:			.BYTE 1			; Anzahl CharSpaces unter dem Zeichen (Absatz), wenn das letzte Zeichen erreicht ist, dann ist es "0"	
	cSTRING_CNT:			.BYTE 1			; Anzahl Zeichen eines mit '0' termierten Strings im SRAM
	cSTRING_PIXEL_CNT:		.BYTE 1			; Anzahl Pixel (incl. SPACE_CHAR) eines mit '0' termierten Strings im SRAM
	pFONT_CHAR_DATA:		.BYTE 2
	txtCOLOR:				.BYTE 2
	backCOLOR:				.BYTE 2
	ORIANTATION:			.BYTE 1


.cseg
